Bug 240031 - hibernate and supend fails
Summary: hibernate and supend fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Nigel Cunningham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-14 15:41 UTC by info
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.6.21-1.3194.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 01:59:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description info 2007-05-14 15:41:23 UTC
Description of problem:

pm-hibernate gives a message about shrinking memory, then "shutting down 
console(s)", and then nothing more. pm-suspend just gives a blank screen, but 
power stays on. In both cases I can't wake up the machine, I have to hard 
reset, and it goes through the full boot (starting services etc). It worked 
with previous kernel versions.

Version-Release number of selected component (if applicable):

kernel-2.6.20-1.2948.fc6
but no problem in kernel-2.6.20-1.2933.fc6

How reproducible:

Always

Steps to Reproduce:
1. pm-hibernate or pm-suspend
  
Actual results:

Hibernate stops at "shutting down console(s)"

Expected results:

It should continue with saving to disk, stop the HD and shut down power. This 
works fine in the earlier kernel-2.6.20-1.2933.fc6

Additional info:

I can't see anything relevant in dmesg or /var/log/messages, the messages 
there are all about the boot process, not the shutdown.

The Laptop is a
Fujitsu-Siemens Amilo A1650G
AMD64 processor, 1GB memory

Comment 1 Nigel Cunningham 2007-06-12 11:12:44 UTC
Between 2933 and 2948, support for tickless kernel was added. It's not the only
thing, but I'd consider it a possibility. Would you please try booting with
nohz=off on the kernel command line?

Comment 2 info 2007-06-12 19:44:48 UTC
Yes, with nohz=off it works as it should (testing with 2.6.20-1.2952.fc6).

For your info, suspend and hibernate also work again in FC7 
(2.6.21-1.3194.fc7) without the nohz=off option (it doesn't wake up from 
suspend though, but that's a different matter).

Comment 3 Nigel Cunningham 2007-07-03 01:59:17 UTC
Ok. I'll close this as fixed in the current release then. Please feel free to
open another bug for the other issue (if you haven't already).


Note You need to log in before you can comment on or make changes to this bug.